Skip to main content
GET
/
scim
/
v2
/
Users
/
{id}
Get user
curl --request GET \
  --url https://{tenant}.cubecloud.dev/api/scim/v2/Users/{id} \
  --header 'Authorization: Bearer <token>'
{
  "userName": "<string>",
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:User"
  ],
  "id": "<string>",
  "name": {
    "givenName": "<string>",
    "familyName": "<string>"
  },
  "emails": [
    {
      "value": "<string>",
      "primary": true
    }
  ],
  "active": true,
  "externalId": "<string>",
  "meta": {
    "resourceType": "<string>",
    "created": "2023-11-07T05:31:56Z",
    "lastModified": "2023-11-07T05:31:56Z",
    "location": "<string>"
  }
}

Authorizations

Authorization
string
header
required

SCIM bearer token issued from your Cube Cloud account settings.

Path Parameters

id
string
required

The unique SCIM identifier of the resource.

Response

The requested user.

A SCIM 2.0 core User resource.

userName
string
required

Unique identifier for the user, typically their email address.

schemas
string[]
Example:
[
"urn:ietf:params:scim:schemas:core:2.0:User"
]
id
string
read-only

Unique identifier assigned by Cube Cloud. Read-only.

name
object
emails
object[]
active
boolean

Whether the user is active. Set to false to deactivate.

externalId
string

Identifier of the user as defined by the provisioning client.

meta
object
read-only